#include "XmlDocument.h"

#include "XmlProlog.h"
#include "XmlElement.h"

XmlDocument::XmlDocument()
    : mProlog(XmlProlog::Create("xml"))
{

}

XmlDocument::~XmlDocument()
{

}

void XmlDocument::setProlog(Ptr<XmlProlog> prolog)
{
    mProlog = std::move(prolog);
}

XmlProlog* XmlDocument::getProlog() const
{
    return mProlog.get();
}

void XmlDocument::setRoot(Ptr<XmlElement> root)
{
    mRoot = std::move(root);
}

XmlElement* XmlDocument::getRoot() const
{
    return mRoot.get();
}

