#pragma once

#include "Pointer.h"
#include "String.h"

#include "XmlElement.h"
#include "XmlProlog.h"

class XmlElement;
class XmlProlog;

class XmlDocument
{
public:
    XmlDocument();
    virtual ~XmlDocument();

    XmlProlog* getProlog() const;
    XmlElement* getRoot() const;

    void setProlog(Ptr<XmlProlog> prolog);
    void setRoot(Ptr<XmlElement> root);
private:
    XmlPrologPtr mProlog;
    XmlElementPtr mRoot;
};
