#include "XmlAttribute.h"

XmlAttribute::XmlAttribute(const String& name)
    : mName(name),
      mValue()
{

}

XmlAttributePtr XmlAttribute::Create(const String& name)
{
    return std::make_unique<XmlAttribute>(name);
}

const String& XmlAttribute::getName() const
{
    return mName;
}

const String& XmlAttribute::getValue() const
{
    return mValue;
}

void XmlAttribute::setValue(const String& value)
{
    mValue = value;
}
