#pragma once

#include "BitStream.h"

#include <istream>

class InputBitStream : public BitStream
{
    InputBitStream(std::basic_istream<unsigned char>* stream);

    bool isFinished() const override;

    void peekNextNBytes(std::size_t n, VecBytes& bytes) const override;

    std::optional<Byte> readNextByte() override;

    void writeByte(Byte data, bool checkOverflow = true) override;

    void writeBytes(const VecBytes&) override
    {

    }

private:
    std::basic_istream<unsigned char>* mStream{nullptr};
};
