#pragma once

#include "Memory.h"
#include "String.h"
#include <filesystem>

using Path = std::filesystem::path;

class Database
{
public:
    Database();

    ~Database();

    static Ptr<Database> Create();

    const Path& getPath() const;

    void setPath(const Path& path);

private:
    Path mPath;
};

using DatabasePtr = Ptr<Database>;
