#pragma once

#include "AbstractVisualNode.h"

#include "Plot.h"

class TextNode;
class EquationNode;

class PlotCaptionNode : public AbstractVisualNode
{
public: 
	PlotCaptionNode(const Transform& transform = {});

	void setContent(const PlotCaption& content);

private:
	PlotCaption mContent;
	bool mContentDirty{ true };

	Vector<Ptr<TextNode> > mTextContent;
	Vector<Ptr<EquationNode> > mEquationContent;
};