#pragma once

#include "Widget.h"

class VerticalSpacer : public Widget
{

public:
    VerticalSpacer();

    static Ptr<VerticalSpacer> Create();

    void addWidget(WidgetUPtr widget) override;

    void addWidgetWithScale(WidgetUPtr widget, double scale);

private:
    void updateChildLocations() override;
    Vector<double> mScales;
};

using VerticalSpacerUPtr = Ptr<VerticalSpacer>;
