#pragma once

#include "Memory.h"

class IPlatformScreen;
using IPlatformScreenPtr = Ptr<IPlatformScreen>;

namespace mt{
class Screen
{

public:

    Screen();

    ~Screen();

    static Ptr<Screen> Create();

    IPlatformScreen* GetPlatformScreen() const;

    void SetPlatformScreen(IPlatformScreenPtr screen);

private:

    IPlatformScreenPtr mPlatformScreen {nullptr};
};
}
using ScreenPtr = Ptr<mt::Screen>;
