#pragma once

#include <filesystem>
#include "String.h"
#include "Vector.h"

using Path = std::filesystem::path;

class PathUtils
{
public:
    static String getBaseFilename(const Path& path);

    static Path getRelativePath(const Path& path, const Path& relativeTo);

    static String getPathDelimited(const Path& path, char delimiter='-');
};
