#include "ConsoleLogger.h"

#include <stdio.h>

void ConsoleLogger::log_line(Level level, 
        const String& msg, 
        const String& fileName, 
        const String& functionName, 
        int lineNumber)
{
    const auto log_msg = build_log_message(level, 
        msg, 
        fileName, 
        functionName, 
        lineNumber);
    if (level == Level::INFO)
    {
        printf("%s\n", log_msg.raw());
    }
    else
    {
        fprintf(stderr, "%s\n", log_msg.raw());
    }
}