#pragma once

//#include <cstddef>
#include <stdlib.h>

template<typename T>
class Allocator
{
public:
    T* allocate()
    {
        return new T;
    }

    void do_delete(T* p)
    {
        delete p;
    }

    T* alloc_array(std::size_t size)
    {
        return new T[size];
    }

    void delete_array(T*& arr)
    {
        delete[] arr;
    }
};