#pragma once

#include "String.h"

class SharedMemory
{
public:
    void allocate(const String& namePrefix, std::size_t size);

    int getFileDescriptor() const;

    bool isValid() const;

private:

    void createFile(const String& namePrefix);

    String getRandomName(const String& namePrefix) const;

    int mFileDescriptor{0};
    bool mIsValid{false};
};
