#pragma once

#include "Memory.h"
#include "String.h"

class XmlAttribute
{
public:
    XmlAttribute(const String& name);

    static Ptr<XmlAttribute> Create(const String& name);

    const String& getName() const;

    const String& getValue() const;

    void setValue(const String& value);
private:
    String mName;
    String mValue;
};

using XmlAttributePtr = Ptr<XmlAttribute>;
