#include "OutputBitStream.h"

OutputBitStream::OutputBitStream(std::basic_ostream<char>* stream)
    : BitStream(),
      mStream(stream)
{

}

bool OutputBitStream::isFinished() const
{
    return true;
}

void OutputBitStream::peekNextNBytes(std::size_t, VecBytes&) const
{

}

std::optional<uint8_t> OutputBitStream::readNextByte()
{
    return std::nullopt;
}

void OutputBitStream::writeByte(uint8_t data, bool)
{
    (*mStream) << data;
}

void OutputBitStream::writeBytes(const VecBytes& data)
{
    for(auto byte : data)
    {
        writeByte(byte);
    }
}
