#include "Time.h"
#include <time.h>

String Time::get_now_str()
{
    time_t time_buf{0};
    ::time(&time_buf);
    if (time_buf == -1)
    {
        return {};
    }

    struct tm tm_buf;
    auto rc = ::gmtime_r(&time_buf, &tm_buf);
    if (rc == nullptr)
    {
        return {};
    }

    String ret("T");
    ret += String::to_string(tm_buf.tm_mday) + ":";
    ret += String::to_string(tm_buf.tm_mon) + ":";
    const auto year = (tm_buf.tm_year - 100) + 2000;
    ret += String::to_string(year) + "Z";
    ret += String::to_string(tm_buf.tm_hour) + ":";
    ret += String::to_string(tm_buf.tm_min) + ":";
    ret += String::to_string(tm_buf.tm_sec);
    return ret;
}