#pragma once

#include "Point.h"

#include "String.h"

class PointParser
{
public:
    static String toString(const Point2& p, const String& delimiter = " ", std::size_t precision = 0);

    static String toString(const Vector2& v, const String& delimiter = " ", std::size_t precision = 0);

    static String toString(double x, double y, const String& delimiter = " ", std::size_t precision = 0);

    static String toString(double x, std::size_t precision = 0);
};
