#pragma once

#include "PlatformSocketClient.h"
#include "HttpRequest.h"
#include "HttpResponse.h"

#include "Memory.h"

class HttpClient
{
public:
    struct Address
    {
        String mPrefix;
        String mHost;
        unsigned int mPort{ 8000 };
    };

    HttpClient();
    HttpResponse makeRequest(const HttpRequest& request, const Address& address);

private:
    Ptr<PlatformSocketClient> mSocketClient;
};
