#pragma once

#include "String.h"

class PlatformSocketClient
{
public:
	struct Address
	{
		String mPrefix;
		String mHost;
		unsigned int mPort{8000};
	};

	struct Result
	{
		enum class Status
		{
			OK,
			FAILED
		};

		Status mStatus{ Status::FAILED };
		String mErrorMessage;
		int mErrorCode{ -1 };
		String mBody;
	};

	virtual Result request(const Address& address, const String& message) = 0;
};