#pragma once

#include "String.h"
#include "Memory.h"
#include <filesystem>

class AudioSample;
using AudioSamplePtr = Ptr<AudioSample>;

using Path = std::filesystem::path;
class AudioWriter
{
public:
    AudioWriter();

    void setPath(const Path& path);

    bool write(const AudioSamplePtr& sample);
private:
    Path mPath;
};
