#pragma once

#include "AbstractPainter.h"

#include "Memory.h"

enum class DrawingMode;
class DrawingContext;

class PainterFactory
{
public:
    static Ptr<AbstractPainter> Create(DrawingContext* context, DrawingMode drawMode);
};
