#pragma once

#include "Widget.h"
#include "StackWidget.h"
#include "String.h"

class TabbedPanelWidget : public Widget
{
public:
    TabbedPanelWidget();

    static Ptr<TabbedPanelWidget> Create();

    void addPanel(WidgetUPtr panel, const String& label);

    StackWidget* getStack() const;

private:
    Widget* mNavPanel;
    StackWidget* mStack;
};

using TabbedPanelWidgetUPtr = Ptr<TabbedPanelWidget>;
