#pragma once

#include "Widget.h"
#include "Vector.h"

class HorizontalSpacer : public Widget
{
public:
    HorizontalSpacer();

    static Ptr<HorizontalSpacer> Create();

    void addWidget(WidgetUPtr widget) override;

    void addWidgetWithScale(WidgetUPtr widget, double scale);
private:
    void updateChildLocations() override;
    Vector<double> mScales;
};

using HorizontalSpacerUPtr = Ptr<HorizontalSpacer>;
