#pragma once
#include "Memory.h"
#include <map>
#include "String.h"

class Keyboard
{
public:

    enum class Function
    {
        UNSET,
        ENTER,
        BACKSPACE,
        TAB
    };

    using KeyCode = unsigned;
    using KeyState = unsigned;

public:
    Keyboard();

    virtual ~Keyboard() = default;

    static Ptr<Keyboard> Create();

    virtual String getKeyString(KeyCode code);

    virtual Function getFunction(KeyCode code);

};

using KeyboardUPtr = Ptr<Keyboard>;
