#pragma once

#include "XmlDocument.h"

#include "Memory.h"

class HtmlElement;
class HtmlBodyElement;

class HtmlDocument : public XmlDocument
{
public:
    HtmlDocument();

    virtual ~HtmlDocument() = default;

    static Ptr<HtmlDocument> Create();

    void addElementToBody(Ptr<HtmlElement> element);

    HtmlBodyElement* getBodyElement() const;

private:
};

using HtmlDocumentPtr = Ptr<HtmlDocument>;
